### Method

# Shell Global create_app_launch_context

#### Declaration [src]

    GAppLaunchContext*
    shell_global_create_app_launch_context (
      ShellGlobal* global,
      guint32 timestamp,
      int workspace
    )

#### Description [src]

Create a `GAppLaunchContext` set up with the correct timestamp, and targeted to activate on `workspace`.

#### Parameters

`timestamp`

  Type: `guint32`

  The timestamp for the launch (or 0 for current time)

`workspace`

  Type: `int`

  A workspace index, or -1 to indicate no specific one.

#### Return value

Type: `GAppLaunchContext`

A new `GAppLaunchContext`.

The caller of the method takes ownership of the data, and is responsible for freeing it.